interface MACAddressObject {
    MACAddress: string;
}
interface MACAddress {
    toString(): string;
    toLong(): number;
    toJSON(): MACAddressObject;
    equals(otherMACAddress: string | number | MACAddress | MACAddressObject): boolean;
    MACAddress: string;
}
interface MACAddressConstructor {
    from(integer: number): MACAddress;
    from(data: MACAddress | MACAddressObject): MACAddress;
    from(string: string): MACAddress;
    /**
     * Returns `true` if `object` is a `MACAddress`, `false` otherwise.
     */
    isMACAddress(object: any): object is MACAddress;
}
declare const MACAddress: MACAddressConstructor;
export { MACAddress, MACAddressConstructor, MACAddressObject };
