import type { SafeEquals } from "../../types/SafeEquals.js";
import type { SafeFrom } from "../../types/SafeFrom.js";
interface Int8Object {
    value: string;
}
interface Int8 {
    int8: bigint;
    value: string;
    postgres: string;
    toString(): string;
    toBigint(): bigint;
    toJSON(): Int8Object;
    equals(bigint: bigint): boolean;
    equals(number: number): boolean;
    equals(string: string): boolean;
    equals(object: Int8 | Int8Object): boolean;
    safeEquals(bigint: bigint): SafeEquals<Int8>;
    safeEquals(number: number): SafeEquals<Int8>;
    safeEquals(string: string): SafeEquals<Int8>;
    safeEquals(object: Int8 | Int8Object): SafeEquals<Int8>;
}
interface Int8Constructor {
    from(number: number): Int8;
    from(bigint: bigint): Int8;
    from(string: string): Int8;
    from(object: Int8 | Int8Object): Int8;
    safeFrom(number: number): SafeFrom<Int8>;
    safeFrom(bigint: bigint): SafeFrom<Int8>;
    safeFrom(string: string): SafeFrom<Int8>;
    safeFrom(object: Int8 | Int8Object): SafeFrom<Int8>;
    /**
     * Returns `true` if `object` is a `Int8`, `false` otherwise.
     */
    isInt8(object: any): object is Int8;
}
declare const Int8: Int8Constructor;
export { Int8, Int8Constructor, Int8Object };
