import type { BitConstructor } from "../data/BitString/Bit.js";
import type { BitVaryingConstructor } from "../data/BitString/BitVarying.js";
import type { BooleanConstructor } from "../data/Boolean/Boolean.js";
import type { CharacterConstructor } from "../data/Character/Character.js";
import type { CharacterVaryingConstructor } from "../data/Character/CharacterVarying.js";
import type { NameConstructor } from "../data/Character/Name.js";
import type { TextConstructor } from "../data/Character/Text.js";
import type { DateConstructor } from "../data/DateTime/Date.js";
import type { DateMultiRangeConstructor } from "../data/DateTime/DateMultiRange.js";
import type { DateRangeConstructor } from "../data/DateTime/DateRange.js";
import type { IntervalConstructor } from "../data/DateTime/Interval.js";
import type { TimeConstructor } from "../data/DateTime/Time.js";
import type { TimestampConstructor } from "../data/DateTime/Timestamp.js";
import type { TimestampMultiRangeConstructor } from "../data/DateTime/TimestampMultiRange.js";
import type { TimestampRangeConstructor } from "../data/DateTime/TimestampRange.js";
import type { TimestampTZConstructor } from "../data/DateTime/TimestampTZ.js";
import type { TimestampTZMultiRangeConstructor } from "../data/DateTime/TimestampTZMultiRange.js";
import type { TimestampTZRangeConstructor } from "../data/DateTime/TimestampTZRange.js";
import type { TimeTZConstructor } from "../data/DateTime/TimeTZ.js";
import type { BoxConstructor } from "../data/Geometric/Box.js";
import type { CircleConstructor } from "../data/Geometric/Circle.js";
import type { LineConstructor } from "../data/Geometric/Line.js";
import type { LineSegmentConstructor } from "../data/Geometric/LineSegment.js";
import type { PathConstructor } from "../data/Geometric/Path.js";
import type { PointConstructor } from "../data/Geometric/Point.js";
import type { PolygonConstructor } from "../data/Geometric/Polygon.js";
import type { MoneyConstructor } from "../data/Monetary/Money.js";
import type { Float4Constructor } from "../data/Numeric/Float4.js";
import type { Float8Constructor } from "../data/Numeric/Float8.js";
import type { Int2Constructor } from "../data/Numeric/Int2.js";
import type { Int4Constructor } from "../data/Numeric/Int4.js";
import type { Int4MultiRangeConstructor } from "../data/Numeric/Int4MultiRange.js";
import type { Int4RangeConstructor } from "../data/Numeric/Int4Range.js";
import type { Int8Constructor } from "../data/Numeric/Int8.js";
import type { Int8MultiRangeConstructor } from "../data/Numeric/Int8MultiRange.js";
import type { Int8RangeConstructor } from "../data/Numeric/Int8Range.js";
import type { OIDConstructor } from "../data/ObjectIdentifier/OID.js";
import type { UUIDConstructor } from "../data/UUID/UUID.js";
import type { Constructors } from "./Constructors.js";
export type ValueFromConstructor<T extends Constructors | null> = T extends BitConstructor<number> ? string : T extends BitVaryingConstructor<number> ? string : T extends BooleanConstructor ? boolean : T extends CharacterConstructor<number> ? string : T extends CharacterVaryingConstructor<number> ? string : T extends NameConstructor ? string : T extends TextConstructor ? string : T extends DateConstructor ? number : T extends DateMultiRangeConstructor ? string : T extends DateRangeConstructor ? string : T extends IntervalConstructor ? string : T extends TimeConstructor ? number : T extends TimestampConstructor ? number : T extends TimestampMultiRangeConstructor ? string : T extends TimestampRangeConstructor ? string : T extends TimestampTZConstructor ? number : T extends TimestampTZMultiRangeConstructor ? string : T extends TimestampTZRangeConstructor ? string : T extends TimeTZConstructor ? number : T extends BoxConstructor ? string : T extends CircleConstructor ? string : T extends LineConstructor ? string : T extends LineSegmentConstructor ? string : T extends PathConstructor ? string : T extends PointConstructor ? string : T extends PolygonConstructor ? string : T extends MoneyConstructor ? string : T extends Float4Constructor ? string : T extends Float8Constructor ? string : T extends Int2Constructor ? number : T extends Int4Constructor ? number : T extends Int4MultiRangeConstructor ? string : T extends Int4RangeConstructor ? string : T extends Int8Constructor ? string : T extends Int8MultiRangeConstructor ? string : T extends Int8RangeConstructor ? string : T extends OIDConstructor ? number : T extends UUIDConstructor ? string : T extends null ? null : never;
