import { type ParseReturnType } from "@postgresql-typed/util";
import type { ParseContext } from "../types/ParseContext.js";
import type { SafeIsWithinRange } from "../types/SafeIsWithinRange.js";
import { PGTPBase } from "./PGTPBase.js";
export declare abstract class PGTPRangeBase<RangeDataType, DataType> extends PGTPBase<RangeDataType> {
    constructor();
    abstract _isWithinRange(context: ParseContext): ParseReturnType<{
        readonly isWithinRange: boolean;
        readonly data?: DataType;
    }>;
    isWithinRange(...data: unknown[]): boolean;
    safeIsWithinRange(...data: unknown[]): SafeIsWithinRange<DataType>;
    private _handleWithinResult;
}
