export declare const getRegExpByGroups: <T extends Record<string, string>>(options?: {
    /**
     * The base RegExp string.
     *
     * Use `%others%` to represent other groups.
     * @example
     * ```ts
     * "^%others%$"
     * ```
     * @default
     * ```ts
     * "^\s*%others%$"
     * ```
     */
    base?: RegExp;
    /**
     * The groups to be included in the RegExp.
     */
    groups?: string[];
    /**
     * Whether the RegExp should be an OR condition.
     * @default false
     */
    isOrCondition?: boolean;
}) => {
    match: (string: string) => T | null;
};
